GuideLab Docs

Address suggestions for a partial address

Proxies Google Places autocomplete, restricted to the platform's supported countries. `configured` is false when address lookup is not enabled for this deployment, in which case the list is always empty.

GET
/search/addresses

Proxies Google Places autocomplete, restricted to the platform's supported countries. configured is false when address lookup is not enabled for this deployment, in which case the list is always empty.

Authorization

__Secure-guidelab-prod.session_token<token>

Production session cookie set for the guidelab.co domain by Better Auth

In: cookie

Query Parameters

input*string
Length3 <= length <= 200
sessionToken*string
Match^[A-Za-z0-9_-]{1,36}$/u

Response Body

application/json

curl -X GET "https://example.com/search/addresses?input=Via+Roma+1&sessionToken=3519edfe-0f75-4a30-bfe4-7cbd89340b2c"
{  "configured": true,  "suggestions": [    {      "placeId": "string",      "text": "string"    }  ]}
Empty
Empty